<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateCustomersTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: customers
         */
        Schema::create('customers', function ($table) {
            $table->increments('id');
            $table->string('uid', 255)->nullable();
            $table->integer('merchant_id')->nullable();
            $table->string('customer_name', 255)->nullable();
            $table->date('birthday')->nullable();
            $table->string('email', 100)->nullable();
            $table->integer('phone_number')->nullable();
            $table->text('address')->nullable();
            $table->string('author', 50)->nullable();
            $table->string('author_edit', 50)->nullable();
            $table->enum('is_active', [[ false,true]])->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('customers');
    }
}
