<?php

namespace Litecms\Customer\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class CustomerTransformer extends TransformerAbstract
{
    public function transform(\Litecms\Customer\Models\Customer $customer)
    {
        return [
            'id'                => $customer->getRouteKey(),
            'key'               => [
                'public'    => $customer->getPublicKey(),
                'route'     => $customer->getRouteKey(),
            ], 
            'uid'               => $customer->uid,
            'merchant_id'       => $customer->merchant_id,
            'customer_name'     => $customer->customer_name,
            'birthday'          => $customer->birthday,
            'email'             => $customer->email,
            'phone_number'      => $customer->phone_number,
            'address'           => $customer->address,
            'author'            => $customer->author,
            'author_edit'       => $customer->author_edit,
            'is_active'         => $customer->is_active,
            'url'               => [
                'public'    => trans_url('customer/'.$customer->getPublicKey()),
                'user'      => guard_url('customer/customer/'.$customer->getRouteKey()),
            ], 
            'status'            => trans('app.'.$customer->status),
            'created_at'        => format_date($customer->created_at),
            'updated_at'        => format_date($customer->updated_at),
        ];
    }
}